#include <GL/glew.h>
#include <log.h>
#include "glTexture.h"

namespace render{

__glTexture::__glTexture(const std::string &name):_name(name)
{
    glGenTextures(1, &obj);
    _log::out("CREATE GL TEXTURE #%d\n", obj);
}

__glTexture::~__glTexture()
{
    _log::out("DELETE GL TEXTURE #%d\n", obj);
    glDeleteTextures(1, &obj);
}

}
